#ifndef XANIMDELTAPARTQUAT_H
#define XANIMDELTAPARTQUAT_H

#include "xasset.h"
#include "xanimdeltapartquatdata.h"

class XAnimDeltaPartQuat : public XAsset
{
public:
    explicit XAnimDeltaPartQuat();
    ~XAnimDeltaPartQuat() = default;

    void ParseData(XDataStream *aStream) override;

    quint32 GetSize() const;
    void SetSize(quint32 size);

    const XAnimDeltaPartQuatData& GetData() const;
    void SetData(const XAnimDeltaPartQuatData& data);

private:
    quint32 mSize = 0;
    XAnimDeltaPartQuatData mData;
};

#endif // XANIMDELTAPARTQUAT_H
